name: cpt_payment
description: 物业系统的支付模块，主要展示用户待支付账单与状态，内部集成支付模块，方便其他模块调用

version: 1.0.0

environment:
  sdk: '>=3.0.2 <4.0.0'

dependencies:

  flutter_localizations:
    sdk: flutter

  flutter:
    sdk: flutter

  #基础组件的依赖
  domain:
    path: ../cs_domain

  plugin_basic:
    path: ../cs_plugin_basic

  plugin_platform:
    path: ../cs_plugin_platform

  shared:
    path: ../cs_shared

  cs_resources:
    path: ../cs_resources

  router:
    path: ../cs_router

  widgets:
    path: ../cs_widgets

  # Riverpod核心库
  flutter_riverpod: ^2.5.1

  # Riverpod注解
  riverpod_annotation: ^2.3.5

  # Hooks 简化 Flutter 页面
  flutter_hooks: ^0.20.5

  # Hooks 简化 Riverpod 获取
  hooks_riverpod: ^2.5.1

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^4.0.0

  # Dart代码生成文件
  build_runner: ^2.4.12

  # Riverpod代码生成器
  riverpod_generator: ^2.4.3

  # 专为Riverpod设计的一套lint规则
  riverpod_lint: ^2.3.13

  # AutoRouter 生成代码
  auto_route_generator: ^8.0.0


flutter:
  uses-material-design: true